# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: libnasl
Version		: 2.2.6
Release		: 3.el4.lsn

License		: GPL
Summary		: Dynamic library for Nessus Attack Scripting Language (nasl) support.
Group		: System Environment/Libraries

URL		: http://www.nessus.org/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/%{name}-%{version}.tar.gz
Patch0		: libnasl-2.0.8-openssl-krb5.patch

Buildarch	: i386

BuildRequires	: libnessus-devel >= 2.2.6
BuildRequires	: flex, bison
#Requires	: openssl, libnessus >= 2.2.6

%description
This package contains the libnasl dynamic library for Nessus.
You will need this package for Nessus.

%package devel
Group: Development/Libraries
Summary: nasl static libraries and header files.
Requires: libnasl = 2.2.6

%description devel
Development libraries and headers for nasl, the Nessus Attack
Scripting Language.

%package -n nasl
Group: Development/Languages
Summary: Interpreter for the Nessus Attack scripting Language (nasl).
#Requires: openssl, libnessus >= 2.2.6

%description -n nasl
nasl is a script interpreter for the nasl language. nasl stands for
Nessus Attack Scripting Language. This is the standalone pendant to
Nessus linked in nasl support from the package libnasl.

%prep
%setup -q -n libnasl
#patch0 -p1 -b .ssl

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/nessus/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_bindir}/nasl-config
%{_mandir}/man1/nasl-config.1*
%{_localstatedir}/nessus

%files -n nasl
%defattr(-,root,root,-)
%{_bindir}/nasl
%{_mandir}/man1/nasl.1*

%changelog
* Sun Jan 15 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
